<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\ListMessage;

use UnexpectedValueException;




class ListType
{
    


    const UNKNOWN = 0;
    


    const SINGLE_SELECT = 1;
    


    const PRODUCT_LIST = 2;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::SINGLE_SELECT => 'SINGLE_SELECT',
        self::PRODUCT_LIST => 'PRODUCT_LIST',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

